<?php 
class WvehiculoController extends  WadminController{

	public function listadoAction(){
		$filtro = new FRMVehiculoBuscador();
		$listado = new LSTVehiculo();
		$listado->setFiltro($filtro);
		
		$ly = $this->getLayout();
		$ly->reg_titulo->setTitulo('Vehiculos');
		$btnuevo = new VstBotonTitulo('/wvehiculo/editar', 'Nuevo vehiculo', 'Nuevo');
		$ly->reg_titulo->addBoton($btnuevo);
		
		
		
		$cont = new VstContenedor('Filtrar');
		$cont->addElement($filtro);
		$ly->reg_contenido->addElement($cont);
		$ly->reg_contenido->addElement($listado);
	}
	
	public function editarAction(){
		$id = $this->getParametro('id');
		
		$ly = $this->getLayout();
		$ly->reg_titulo->setTitulo('Editar vehiculo');

		$usuario = Usuario::UsuarioLoqueado();
		$potencial = new Potencial($usuario->id);
		$codigoPropietario = $potencial->getCodigoPropietario();
		if($id){
			$vehiculo = new Vehiculo($id);
			if($vehiculo->getPropietario() != $codigoPropietario){
				$texto = "USTED NO TIENE PERMISO PARA ACCEDER A ESTE VEHICULO";
				$ly->reg_contenido->addElement($texto);
				return;
			}
			
		}else{
			$vehiculo = new Vehiculo();
		}
		$vehiculo = new Vehiculo($id);
		$formulario = new FRMVehiculo($vehiculo, $codigoPropietario);
		$ly = $this->getLayout();
		$contenedor = new vstContenedor('Editar');
		$contenedor->addElement($formulario);
		$ly->reg_contenido->addElement($contenedor);
		
		
	}
	
}